StoreList

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.fenalco.entities
Class StoreList

    java.lang.Object
      com.fenalco.entities.StoreList

    public class StoreList

extends java.lang.Object

Esta clase representa el conjunto de establecimientos que pertenecen a un minorista, o que pertenecen a una comunidad segùn los paràmetros utilizados para su comstrucciòn

Author:
  Néstor Romero León

Field Summary
`private java.util.Hashtable` | `stores` Este `Hashtable` contiene un conjunto de establecimentos que pertenecen a un minorista, está organizado de la siguiente forma: key:Identificador del establecimiento `storeId` value:Objeto del tipo `Store`

Constructor Summary
`StoreList()`
`StoreList(int shopKeeperId)` Constructor que recibe como parámetro el identificador del proveedor, llama al método `loadData` para cargar los establecimientos del minorista en el objeto.

Method Summary
`boolean` | `getCommunityStores(int shopKeeperId, int communityId)`
`boolean` | `getNonCommunityStores(int shopKeeperId, int communityId)`
`java.util.Hashtable` | `getStores()` Consultor para el atributo stores.
`boolean` | `loadData(int shopKeeperId)` Este método carga los establecimientos del minorista desde la base de datos haciendo uso del identificador del minorista y del método `query` de la clase `SQLUtilities`.
`static void` | `main(java.lang.String[] args)`
`void` | `setStores(java.util.Hashtable stores)` Valor para el parámetro stores.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### stores

    private java.util.Hashtable stores

  Este `Hashtable` contiene un conjunto de establecimentos que pertenecen a un minorista, está organizado de la siguiente forma: key:Identificador del establecimiento `storeId` value:Objeto del tipo `Store`

Constructor Detail

### StoreList

    public StoreList()

### StoreList

    public StoreList(int shopKeeperId)

  Constructor que recibe como parámetro el identificador del proveedor, llama al método `loadData` para cargar los establecimientos del minorista en el objeto.

  Parameters:
    `shopKeeperId` - Identificador del minorista

Method Detail

### loadData

    public boolean loadData(int shopKeeperId)

  Este método carga los establecimientos del minorista desde la base de datos haciendo uso del identificador del minorista y del método `query` de la clase `SQLUtilities`.

  Parameters:
    `shopKeeperId` - Identificador del minorista
  Returns:
    Valor booleano que indica si la operación tuvo éxito o no.

### getStores

    public java.util.Hashtable getStores()

  Consultor para el atributo stores.

  Returns:
    Valor del parámetro stores.

### setStores

    public void setStores(java.util.Hashtable stores)

  Valor para el parámetro stores.

  Parameters:
    `stores` - Nuevo valor para el parámetro stores.

### getNonCommunityStores

    public boolean getNonCommunityStores(int shopKeeperId,
                                         int communityId)

### getCommunityStores

    public boolean getCommunityStores(int shopKeeperId,
                                      int communityId)

### main

    public static void main(java.lang.String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD